# $Revision: 1.29 $, $Date: 2008/08/31 11:15:26 $
Summary:	Video extraction utility for YouTube and Google Video
Summary(pl.UTF-8):	Narzędzie do wydobywania filmów z YouTube i Google Video
Name:		clive
Version:	1.0.1
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://download.gna.org/clive/1.0.x/%{name}-%{version}.tar.bz2
# Source0-md5:	052f9f8e57fec92737faabf02c1d6567
Source1:	%{name}-setup.py
Patch0:		%{name}-delfi.patch
Patch1:		%{name}-spz.patch
Patch2:		%{name}-reporter.patch
URL:		http://home.gna.org/clive/
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-libs
Requires:	python >= 2.4
Requires:	python-feedparser >= 3.3
Requires:	python-snack >= 0.51
Requires:	python-urlgrabber >= 3.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
clive is a video extraction tool for user-uploaded video hosts such as Youtube,
Google Video, Dailymotion, Guba and Metacafe. It can be chained with 3rd party
tools for subsequent video re-encoding and playing and playing.

%description -l pl.UTF-8
clive to działający z linii poleceń program do wydobywania filmów z
serwisów YouTube, Google Video i Dailymotion. Obsługuje wyciąganie
osadzonych filmów i może być używany zewnętrznym koderem (np.
ffmpegiem) do przekodowywania wyciągniętych filmów do innych formatów
(np. AVI, MPEG, flv).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# switch back to python install. we don't need autofoo as we don't build newt
cp %{SOURCE1} setup.py
rm -f configure aclocal.m4

# get rid of bundled packages
rm -rf src/clive/{urlgrabber,feedparser,newt}
# fix imports to use system pkgs
%{__sed} -i -e 's,\(from\|import\) clive.\(newt\|urlgrabber\),\1 \2,' src/clive/*.py
%{__sed} -i -e 's,from clive\.feedparser ,,' src/clive/*.py
%{__sed} -i -e 's,from newt \(import snack as newt\),\1,' src/clive/*.py
%{__sed} -i -e 's,\(import\) clive\.feedparser\.,\1 ,' src/clive/*.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/clive
%{_mandir}/man1/clive.1*
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]

%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/clive-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clive.spec,v $
Revision 1.29  2008/08/31 11:15:26  adamg
- updated to 1.0.1

Revision 1.28  2008/08/10 09:44:13  adamg
- updated to 1.0.0

Revision 1.27  2008/08/06 08:22:15  adamg
- updated to 0.5.0

Revision 1.26  2008/07/27 08:12:34  adamg
- updated to 0.4.19

Revision 1.25  2008/07/18 21:04:54  adamg
- updated to 0.4.18

Revision 1.24  2008/06/19 21:22:17  adamg
- updated to 0.4.16

Revision 1.23  2008-04-27 20:13:46  glen
- patch for reporter videos

Revision 1.22  2008-04-26 13:04:14  glen
- rel 0.3

Revision 1.21  2008-04-26 08:30:45  arekm
- up to 0.4.11; use official site not mirror for download

Revision 1.20  2008-04-25 21:01:01  glen
- updated patches to 0.4.10

Revision 1.19  2008-04-25 20:50:41  glen
- switch back to setup.py build method

Revision 1.18  2008-04-25 20:40:33  glen
- update to 0.4.10
- they put automake just to build bundled newt, and we don't use it sigh

Revision 1.17  2008-03-30 19:19:27  arekm
- up to 0.4.6

Revision 1.16  2008-02-15 16:55:32  glen
- release 2 (1 for ac)

Revision 1.15  2008-02-15 16:45:36  twittner
- up to 0.4.5

Revision 1.14  2008-01-26 10:42:10  qboosh
- removed empty TODO
- GPL v2+
- release 1

Revision 1.13  2008-01-25 00:38:56  glen
- rel down as patches not updated

Revision 1.12  2008-01-25 00:31:39  wrobell
- ver. 0.4.3

Revision 1.11  2008-01-19 23:27:41  glen
- add southparkzone support

Revision 1.10  2008-01-19 22:42:18  glen
- delfi videos patch from AC-branch

Revision 1.9  2008-01-16 22:52:04  twittner
- up to 0.4.1

Revision 1.8  2007-12-19 09:06:11  arekm
- up to 0.4.0

Revision 1.7  2007-12-17 22:17:58  glen
- rel 3

Revision 1.6  2007-11-01 17:47:52  glen
- add setup patch

Revision 1.5  2007/11/01 16:36:32  arekm
- up to 0.3.1

Revision 1.4  2007/09/19 00:02:39  wrobell
- ver. 0.2.1, youtube works again

Revision 1.3  2007/07/06 19:03:42  qboosh
- pl
- BR: rpm-pythonprov

Revision 1.2  2007/06/24 20:47:37  arekm
- noarch

Revision 1.1  2007/06/24 20:46:43  arekm
- initial
